### Method

# Gtk TextBuffer insert_range

#### Declaration [src]

    void
    gtk_text_buffer_insert_range (
      GtkTextBuffer* buffer,
      GtkTextIter* iter,
      const GtkTextIter* start,
      const GtkTextIter* end
    )

#### Description [src]

Copies text, tags, and paintables between `start` and `end` and inserts the copy at `iter`.

The order of `start` and `end` doesn’t matter.

Used instead of simply getting/inserting text because it preserves images and tags. If `start` and `end` are in a different buffer from `buffer`, the two buffers must share the same tag table.

Implemented via emissions of the ::insert-text and ::apply-tag signals, so expect those.

#### Parameters

`iter`

  Type: `GtkTextIter`

  A position in `buffer`.

  The data is owned by the caller of the method.

`start`

  Type: `GtkTextIter`

  A position in a `GtkTextBuffer`

  The data is owned by the caller of the method.

`end`

  Type: `GtkTextIter`

  Another position in the same buffer as `start`.

  The data is owned by the caller of the method.